(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@tsparticles/engine", "./LchColorManager.js", "./OklchColorManager.js"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.loadOklchColorPlugin = loadOklchColorPlugin;
    const engine_1 = require("@tsparticles/engine");
    const LchColorManager_js_1 = require("./LchColorManager.js");
    const OklchColorManager_js_1 = require("./OklchColorManager.js");
    async function loadOklchColorPlugin(engine, refresh = true) {
        (0, engine_1.assertValidVersion)(engine, "3.7.1");
        await engine.addColorManager(new OklchColorManager_js_1.OklchColorManager(), refresh);
        await engine.addColorManager(new LchColorManager_js_1.LchColorManager(), refresh);
    }
});
